发布时间 :2006-02-21 18:02:00
修订时间 :2011-03-07 21:30:52

[原文]Cross-site scripting vulnerability in E-Blah Platinum 9.7 allows remote attackers to inject arbitrary web script or HTML via the referer (HTTP_REFERER), which is not sanitized when the log file is viewed by the administrator using "Click Log".

[CNNVD]E-Blah 跨站脚本攻击漏洞(CNNVD-200602-340)

        E-Blah Platinum 9.7中存在跨站脚本攻击漏洞。远程攻击者可以借助提交数据(HTTP_REFERER)(管理员使用"单击日志"查看日志文件时未经审查)注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2006-0638
(UNKNOWN)  BID  16713
(UNKNOWN)  XF  eblah-httpreferer-xss(24777)
(UNKNOWN)  BUGTRAQ  20060302 [eVuln] E-Blah Platinum 'Referer' XSS Vulnerability

- 漏洞信息

E-Blah 跨站脚本攻击漏洞
中危 跨站脚本
2006-02-21 00:00:00 2006-02-22 00:00:00
        E-Blah Platinum 9.7中存在跨站脚本攻击漏洞。远程攻击者可以借助提交数据(HTTP_REFERER)(管理员使用"单击日志"查看日志文件时未经审查)注入任意Web脚本或HTML。

- 公告与补丁


- 漏洞信息 (F44337)

EV0083.txt (PacketStormID:F44337)
2006-03-03 00:00:00
Aliaksandr Hartsuyeu

E-Blah Platinum is susceptible to cross site scripting via the use of HTTP_REFERER.

New eVuln Advisory:
E-Blah Platinum 'Referer' XSS Vulnerability

eVuln ID: EV0083
CVE: CVE-2006-0829
Software: E-Blah Platinum
Sowtware's Web Site:
Versions: 9.7
Critical Level: Moderate
Type: Cross-Site Scripting
Class: Remote
Status: Patched
Exploit: Available
Solution: Available
Discovered by: Aliaksandr Hartsuyeu (

Vulnerable script: Code/

Environment variable 'HTTP_REFERER' isn't properly sanitized. This can be used to post HTTP query with fake Referer value which may contain arbitrary html or script code. This code will be executed when administrator will open "Click Log".

Administrator's login and password are threatened.

Available at:

Example of HTTP Query:

GET /cgi-bin/ HTTP/1.0
Host: [host]
Referer: [XSS]

Vendor-provided patch is available here:

Discovered by: Aliaksandr Hartsuyeu (

Aliaksandr Hartsuyeu - Penetration Testing Services

- 漏洞信息

E-Blah Platinum Code/ HTTP_REFERER Admin Log XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

E-Blah contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'HTTP_REFERER' HTTP request header upon submission to the 'Code/' script. This could allow a user to create a specially crafted request that would embed arbitrary code in admin log file entries. This code would then be executed in the browser of an admin user viewing these admin log files, leading to a loss of integrity.

- 时间线

2006-02-16 Unknow
2006-02-16 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, the vendor has published a patch to address this vulnerability.

- 相关参考

- 漏洞作者